| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiTupleTool Class Reference

`#include <GaudiAlg/GaudiTupleTool.h>`

Inheritance diagram for GaudiTupleTool:

[legend]
Collaboration diagram for GaudiTupleTool:

[legend]
List of all members.

## Detailed Description

Simple class to extend the functionality of class GaudiHistoTool.

Class is instrumented with few methods for dealing with N-tuples and Event Tag collections

Attention:
  See the class GaudiTuples, which implements the common functionality between GaudiTupleTool and GaudiTupleAlg

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

  Chris Jones Christopher.Rob.Jones@cern.ch

Date:
  2004-06-28

Definition at line 43 of file GaudiTupleTool.h.

## Protected Member Functions
| GaudiTupleTool (const std::string &type, const std::string &name, const IInterface *parent)
| standard constructor
virtual | ~GaudiTupleTool ()
| destructor
virtual StatusCode | initialize ()
| standard initialization method
virtual StatusCode | finalize ()
| standard finalization method
## Private Member Functions
| GaudiTupleTool ()
| default constructor is disabled
| GaudiTupleTool (const GaudiTupleTool &)
| copy constructor is disabled
GaudiTupleTool & | operator= (const GaudiTupleTool &)
| assignment operator is disabled

## Constructor & Destructor Documentation

GaudiTupleTool::GaudiTupleTool | ( | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent |
| ) |  |  | `[protected]`

standard constructor

See also:
  GaudiTool

  AlgTool

Parameters:

  | type | tool type
  | name | tool name
  | parent | pointer to the parent component

Definition at line 30 of file GaudiTupleTool.cpp.

    00033   : GaudiTuples<GaudiHistoTool> ( type , name , parent ) { }

GaudiTupleTool::~GaudiTupleTool | ( |  | ) | `[protected, virtual]`

destructor

Definition at line 39 of file GaudiTupleTool.cpp.

    00039 { }

GaudiTupleTool::GaudiTupleTool | ( |  | ) | `[private]`

default constructor is disabled

GaudiTupleTool::GaudiTupleTool | ( | const GaudiTupleTool & |  | ) | `[private]`

copy constructor is disabled

## Member Function Documentation

StatusCode GaudiTupleTool::initialize | ( |  | ) | `[protected, virtual]`

standard initialization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiTuples< GaudiHistoTool >.

Definition at line 45 of file GaudiTupleTool.cpp.

References GaudiTuples< PBASE >::initialize().

    00046 {
    00047   // initialize the base class and return
    00048   return GaudiTuples<GaudiHistoTool>::initialize();
    00049 }

StatusCode GaudiTupleTool::finalize | ( |  | ) | `[protected, virtual]`

standard finalization method

See also:
  Algorithm

  IAlgorithm

Returns:
  status code

Reimplemented from GaudiTuples< GaudiHistoTool >.

Definition at line 55 of file GaudiTupleTool.cpp.

References GaudiTuples< PBASE >::finalize().

    00056 {
    00057   // finalize the base class and return
    00058   return GaudiTuples<GaudiHistoTool>::finalize();
    00059 }

GaudiTupleTool& GaudiTupleTool::operator= | ( | const GaudiTupleTool & |  | ) | `[private]`

assignment operator is disabled

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/GaudiTupleTool.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/GaudiTupleTool.cpp